<?php
namespace Pinpoint\Conesso\Api\Data;

interface OrderSyncInterface
{
    const SCHEMA = 'connesso_order_sync';
    const ID = 'id';
    const ORDER_ID = 'order_id';
    const INCREMENT_ID = 'increment_id';
    const EVENT_TYPE = 'event_type';
    const STORE_ID = 'store_id';
    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';
    const IS_SYNCED = 'is_synced';

    const EVENT_TYPE_SAVE = 'save_order';
    const EVENT_TYPE_CANCELLED = 'cancelled_order';

    public function getId() : ?int;

    public function setId($id);

    public function getOrderId() : ?int;

    public function setOrderId($orderId);

    public function getIncrementId() : ?int;

    public function setIncrementId($incrementId);

    public function getEventType() : ?string;

    public function setEventType($eventType);

    public function getStoreId() : int;

    public function setStoreId($storeId);

    public function getCreatedAt();

    public function setCreatedAt($createdAt);

    public function getUpdatedAt();

    public function setUpdatedAt($updatedAt);

    public function getIsSynced() : int;

    public function setIsSynced($isSynced);

}
