<?php
namespace Pinpoint\Conesso\Api\Repository;

use Magento\Framework\Api\SearchCriteriaInterface;
use Pinpoint\Conesso\Api\Data\CartSyncInterface;
interface CartsSyncRepositoryInterface
{
    public function save(CartSyncInterface $orderSync);

    public function delete(CartSyncInterface $orderSync): bool;

    public function getById($cartId);

    public function deleteById(int $id): bool;

    public function getList(SearchCriteriaInterface $searchCriteria);
}
