<?php
namespace Pinpoint\Conesso\Block\Adminhtml\Form\Field;

use Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray;

/**
 * Class OrderCustomAttributes
 */
class OrderCustomAttributes extends AbstractFieldArray
{
    /**
     * Prepare rendering the new field by adding all the needed columns
     */
    protected function _prepareToRender(): void
    {
        $this->addColumn('magento_attribute', ['label' => __('Order Attr'), 'class' => 'required-entry']);
        $this->addColumn('conesso_attribute', ['label' => __('Conesso Attr'), 'class' => 'required-entry']);
        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add');
    }
}
