<?php
namespace Pinpoint\Conesso\Model\Api\Management;

use Magento\Framework\ObjectManagerInterface;
use Pinpoint\Conesso\Api\Transfer\RequestInterface;
use Pinpoint\Conesso\Api\Transfer\RequestProviderInterface;

class RequestProvider implements RequestProviderInterface
{
    /**
     * @var ObjectManagerInterface
     */
    private $objectManager;

    /**
     * @param ObjectManagerInterface $objectManager
     */
    public function __construct(
        ObjectManagerInterface $objectManager
    ) {
        $this->objectManager = $objectManager;
    }

    /**
     * @param $type
     * @return RequestInterface
     */
    public function getRequestProvider($type) : RequestInterface
    {
        return $this->objectManager->create($type);
    }
}
